Bug 800294 - Review Request: python-django-piston - A mini-framework for Django for creating RESTful APIs
Review Request: python-django-piston - A mini-framework for Django for creati...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776 962962
  Show dependency treegraph
 
Reported: 2012-03-06 04:08 EST by Matthias Runge
Modified: 2013-05-15 06:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 10:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-06 04:08:08 EST
Spec URL: http://www.matthias-runge.de/fedora/python-django-piston.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-piston-0.2.3-2.fc16.src.rpm

Description: 
Piston is a relatively small Django application that lets you
create application programming interfaces (API) for your sites.


This is a review request required for package renaming.

[mrunge@mrungexp SPECS]$ rpmlint ./python-django-piston.spec ../RPMS/noarch/python-django-piston-0.2.3-2.fc16.noarch.rpm ../SRPMS/python-django-piston-0.2.3-2.fc16.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



koji-scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=3857150
Comment 1 Thomas Spura 2012-03-06 18:18:03 EST
Review:
- license ok (a LICENSE file would be great...)
- name ok
- url ok
- noarch ok
- no libs
- no *.la

Blocker:
- Don't you want to R: python-django, once the main Django has it's new name?
  That would be more consistent to use the proper python-django package and not the provides Django from there.
  Review request is at: bug #737293

- obsoletes is wrong:
  There is a django-piston = 0.2.3-1, but you only obsolete anything below it, so
  correct would be:
  Obsoletes:      %{pkgname} < 0.2.3-2
  More info about that also here:
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

- Please remove the shipped egg in %prep, so you are sure it's not used.


SHOULD:
- Could you please be more specific in %files, e.g.:
%{python_sitelib}/piston/
%{python_sitelib}/django_piston-%{version}-py?.?.egg-info/

  This way you'll notice when the egg cannot be build.

- defattr can be left out as you don't seem to be targeting EL < 6

- I wouldn't consider PKG-INFO as doc and it's in the egg anyway.
  It's more important to query upstream to include a proper LICENSE file.

- Maybe it's possible to add a %check section?
I know too less about django, this didn't get very far "DJANGO_SETTINGS_MODULE=piston nosetests -v piston".
Maybe you can have a look.
Comment 2 Matthias Runge 2012-03-07 03:17:35 EST
Thank you for your review and hints.

I corrected the obsolets (good catch), once python-django hits the repos, I'll change the requires. Since Provides: Django should stay there forever, requiring 
Django won't break, if Django gets renamed to python-django.

There are a few minors preventing running tests now. I've asked upstream about this; I've also asked to include a license file.

updated SRPM: 
http://www.matthias-runge.de/fedora/python-django-piston-0.2.3-3.fc16.src.rpm
updated SPEC: http://www.matthias-runge.de/fedora/python-django-piston.spec

[mrunge@mrungexp SPECS]$ diff -u python-django-piston.spec.2 python-django-piston.spec
--- python-django-piston.spec.2	2012-03-07 08:08:01.326176453 +0100
+++ python-django-piston.spec	2012-03-07 08:50:38.666184046 +0100
@@ -1,7 +1,7 @@
 %global pkgname django-piston
 Name:           python-django-piston
 Version:        0.2.3
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A mini-framework for Django for creating RESTful APIs
 
 Group:          Development/Languages
@@ -11,11 +11,14 @@
 #md5=8b040d426793cf22ce89543e059cd6e1
 
 BuildArch:      noarch
-BuildRequires:  python2-devel python-setuptools 
+BuildRequires:  python2-devel
+BuildRequires:  python-setuptools 
+
+# once bug 737293 closed, reqires should be python-django
 Requires:       Django
 
 Provides:       %{pkgname} = %{version}-%{release}
-Obsoletes:      %{pkgname} < 0.2.3-1
+Obsoletes:      %{pkgname} < 0.2.3-3
 
 %description
 Piston is a relatively small Django application that lets you
@@ -23,20 +26,28 @@
 
 %prep
 %setup -q -n %{pkgname}-%{version}
+rm -rf django_piston.egg-info
 
 %build
 %{__python} setup.py build
 
+
 %install
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
 %files
 %defattr(-,root,root,-)
-%doc PKG-INFO
-%{python_sitelib}/*
+%doc 
+%{python_sitelib}/piston
+%{python_sitelib}/django_piston-%{version}-py2.?.egg-info
+%{python_sitelib}/django_piston-%{version}-py2.?-nspkg.pth
 
 %changelog
+* Wed Mar 07 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.3-3
+- more spec cleanup
+- correct %%Obsoletes:
+
 * Tue Mar 06 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2.3-2
 - rename to python-django-piston
 - spec cleanup
Comment 3 Thomas Spura 2012-03-07 04:11:58 EST
- source matches
  8b040d426793cf22ce89543e059cd6e1  django-piston-0.2.3.tar.gz
- the rest looks fine.

Thanks.

#######################################################################


APPROVED
Comment 4 Matthias Runge 2012-03-07 05:50:30 EST
Thank you for the review. 

Since we need to clarify, in which branches django-piston should be replaced,
I'll delay the SCM request a little.
Comment 5 Matthias Runge 2012-03-09 03:50:36 EST
New Package SCM Request
=======================
Package Name: python-django-piston
Short Description: A mini-framework for Django for creating RESTful APIs
Owners: mrunge
Branches: devel
Comment 6 Jon Ciesla 2012-03-09 09:21:45 EST
Git done (by process-git-requests).
Comment 7 Matthias Runge 2012-03-14 10:11:07 EDT
build, orphaned, blocked
Comment 8 Matthias Runge 2013-05-15 03:16:00 EDT
Package Change Request
======================
Package Name: python-django-piston
New Branches: el6
Owners: mrunge

Note You need to log in before you can comment on or make changes to this bug.